@echo off

setlocal

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem 
rem set JAVA_HOME to the path where you have Java 2 installed.
rem
rem set J2EE_HOME to the path where you have installed this package (EJB server).
rem

set BUNDLE_HOME=%~dp0..\..
set SYNCSERVER_HOME=%BUNDLE_HOME%\{syncserver.home}

set JAVA_HOME=%BUNDLE_HOME%\tools\jre-1.4.2\jre
set J2EE_HOME=%BUNDLE_HOME%\tools\tomcat

cd "%BUNDLE_HOME%"

if EXIST "%J2EE_HOME%" goto CONT0
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing "%J2EE_HOME%")
goto END
:CONT0

if EXIST "%JAVA_HOME%" goto CONT1
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing "%JAVA_HOME%").
goto END
:CONT1

if EXIST "tools\bin\stopall.cmd" goto CONT2
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing tools\bin\stopall.cmd)
goto END
:CONT2

cd "%J2EE_HOME%\bin"

rem
rem Shutdown Tomcat
rem
call shutdown.bat start

rem
rem Shutdown Hypersonic
rem
"%JAVA_HOME%/bin/javaw" org.hsqldb.util.ShutdownServer -port -user sa -url jdbc:hsqldb:hsql://localhost/sync4j -shutdownarg IMMEDIATELY


:END
endlocal

