/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.server;

import java.io.Serializable;

/**
 * This class represents a GUID.
 *
 * @version $Id: ID.java,v 1.1 2005/07/25 15:28:05 nichele Exp $
 *
 */
public class ID implements Serializable {

    // -------------------------------------------------------------- Properties
    private String idSpace = "";
    private int value      = 0;

    // ------------------------------------------------------------- Constructor

    public ID(String idSpace) {
        this.idSpace = idSpace;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int newValue) {
        this.value = newValue;
    }

    public String getIdSpace() {
        return idSpace;
    }

    public void setIdSpace(String idSpace) {
        this.idSpace = idSpace;
    }

}
